<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.quansu.heifengwuliu" >

    <!-- 如果有视频相关的广告且使用textureView播放，请务必添加，否则黑屏 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.CALL_PHONE" />

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />
    <uses-permission android:name="com.android.launcher.permission.UNINSTALL_SHORTCUT" />
    <uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" />

    <queries >
        <package android:name="com.tencent.mm" />
    </queries >
    <application
        android:name="com.quansu.heifengwuliu.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/AppTheme.NoActionBar"
        android:usesCleartextTraffic="true" >

        <meta-data
            android:name="design_width_in_dp"
            android:value="375" />
        <meta-data
            android:name="design_height_in_dp"
            android:value="667" />

        <activity android:name="com.quansu.heifengwuliu.activity.SettingsActivity" />

        <activity
            android:name=".activity.HomeActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan"
            android:theme="@style/AppTheme.Launcher" >
            <intent-filter >
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter >
        </activity >


        <activity
            android:name=".activity.OneLoginActivity"
            android:launchMode="singleTask" />

        <activity android:name="com.quansu.heifengwuliu.activity.TodosActivity" />

        <activity android:name="com.quansu.heifengwuliu.activity.LoginActivity" />
        <activity android:name="com.quansu.heifengwuliu.activity.RegisterActivity" />
        <activity android:name="com.quansu.heifengwuliu.activity.AboutActivity" />
        <activity android:name="com.quansu.heifengwuliu.activity.WebViewActivity" />

        <activity
            android:name="com.quansu.heifengwuliu.activity.SplashActivity"
            android:theme="@style/AppTheme.Launcher" />

        <activity
            android:name=".wxapi.WXEntryActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:taskAffinity="com.quansu.heifengwuliu" />

        <activity android:name=".activity.MsgActivity" />
        <activity android:name=".activity.AccountActivity" />
        <activity android:name=".activity.PersonalVerityActivity" />
        <activity android:name=".activity.AddressActivity" />
        <activity android:name=".activity.ComVerityActivity" />
        <activity android:name=".activity.CollectionActivity" />
        <activity android:name=".activity.AddressAddActivity"/>
        <activity android:name=".activity.AreaSelectActivity"/>
        <activity android:name=".activity.SourceDetailsActivity"/>
        <activity android:name=".activity.AllCarActivity"/>
        <activity android:name=".activity.InvoiceActivity"/>
        <activity android:name=".activity.PasswordActivity"/>


    </application >

</manifest >
